Problem Classifications - List
Een lijst met alle probleemclassificaties (categorieën) die beschikbaar zijn voor een specifieke Azure-service. Gebruik altijd de service- en probleemclassificaties die programmatisch zijn verkregen. Deze procedure zorgt ervoor dat u altijd beschikt over de meest recente set service- en probleemclassificatie-id's.
GET https://management.azure.com/providers/Microsoft.Support/services/{serviceName}/problemClassifications?api-version=2026-07-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
service
|
path | True |
string |
Naam van de Azure-service. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Gets list of problemClassifications for a service for which a support ticket can be created
Voorbeeldaanvraag
GET https://management.azure.com/providers/Microsoft.Support/services/service_guid/problemClassifications?api-version=2026-07-01
Voorbeeldrespons
{
"value": [
{
"name": "problemClassification_guid_1",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid_1",
"properties": {
"displayName": "Reservation Management / Exchanges and Refunds",
"secondaryConsentEnabled": [
{
"type": "DatabricksConsent",
"description": "For faster resolution, allow Microsoft and Databricks to temporarily have read and write access to your Databricks workspace. We will only access to read and write to your cluster for the purpose of resolving your support issue and in conformance with Microsoft's Privacy Policy."
}
]
}
},
{
"name": "problemClassification_guid_2",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid_2",
"properties": {
"displayName": "Reservation Management / Request Invoices",
"secondaryConsentEnabled": [
{
"type": "DatabricksConsent",
"description": "For faster resolution, allow Microsoft and Databricks to temporarily have read and write access to your Databricks workspace. We will only access to read and write to your cluster for the purpose of resolving your support issue and in conformance with Microsoft's Privacy Policy."
}
]
}
},
{
"name": "problemClassification_guid_3",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid_3",
"properties": {
"displayName": "Reservation Management / Other Iissues or Requests",
"secondaryConsentEnabled": [
{
"type": "DatabricksConsent",
"description": "For faster resolution, allow Microsoft and Databricks to temporarily have read and write access to your Databricks workspace. We will only access to read and write to your cluster for the purpose of resolving your support issue and in conformance with Microsoft's Privacy Policy."
}
]
}
},
{
"name": "problemClassification_guid_4",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid_4",
"properties": {
"displayName": "Other General Billing Questions",
"secondaryConsentEnabled": [
{
"type": "DatabricksConsent",
"description": "For faster resolution, allow Microsoft and Databricks to temporarily have read and write access to your Databricks workspace. We will only access to read and write to your cluster for the purpose of resolving your support issue and in conformance with Microsoft's Privacy Policy."
}
]
}
}
]
}
Definities
| Name | Description |
|---|---|
|
created |
Het identiteitstype dat de resource heeft gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
Het foutdetail. |
|
Error |
Foutreactie |
|
Problem |
ProblemClassification-resourceobject. |
|
Problem |
Verzameling van ProblemClassification-resources. |
|
Secondary |
Deze eigenschap geeft aan of secundaire toestemming aanwezig is voor probleemclassificatie. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het identiteitstype dat de resource heeft gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
Het foutdetail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Aanvullende informatie over de fout. |
|
| code |
string |
De foutcode. |
| details |
De foutgegevens. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ProblemClassification
ProblemClassification-resourceobject.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.displayName |
string |
Gelokaliseerde naam van probleemclassificatie. |
| properties.secondaryConsentEnabled |
Deze eigenschap geeft aan of secundaire toestemming aanwezig is voor probleemclassificatie |
|
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| type |
string |
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
ProblemClassificationsListResult
Verzameling van ProblemClassification-resources.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
De koppeling naar de volgende pagina met items |
| value |
Lijst met ProblemClassification-resources. |
SecondaryConsentEnabled
Deze eigenschap geeft aan of secundaire toestemming aanwezig is voor probleemclassificatie.
| Name | Type | Description |
|---|---|---|
| description |
string |
Beschrijving van gebruikerstoestemming. |
| type |
string |
De Azure-service waarvoor secundaire toestemming nodig is voor het maken van aanvragen. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het aanmaken van resources (UTC). |
| createdBy |
string |
De identiteit die de resource heeft gemaakt. |
| createdByType |
Het identiteitstype dat de resource heeft gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |